package de.avatic.lcc.model.azuremaps.route;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class Route {

    private RouteSummary summary;
    private List<RouteLeg> legs;
    private List<RouteSection> sections;

    public RouteSummary getSummary() {
        return summary;
    }

    public void setSummary(RouteSummary summary) {
        this.summary = summary;
    }

    public List<RouteLeg> getLegs() {
        return legs;
    }

    public void setLegs(List<RouteLeg> legs) {
        this.legs = legs;
    }

    public List<RouteSection> getSections() {
        return sections;
    }

    public void setSections(List<RouteSection> sections) {
        this.sections = sections;
    }
}